Data Controllers - Delete Data Controller

Deletes a dataController resource

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureArcData/dataControllers/{dataControllerName}?api-version=2026-01-01

URI Parameters

Name In Required Type Description
dataControllerName
path True

string

The name of the data controller

resourceGroupName
path True

string

The name of the Azure resource group

subscriptionId
path True

string

The ID of the Azure subscription

api-version
query True

string

The API version to use for the request

Responses

Name Type Description
200 OK

Successfully deleted the DataController.

202 Accepted

Resource deletion is in progress.

204 No Content

The specified DataController does not exist.

Other Status Codes

ErrorResponse

*** Error Responses: ***

Examples

Delete a dataController.

Sample request

DELETE https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/dataControllers/testdataController?api-version=2026-01-01

Sample response

azure-AsyncOperation: http://azure.async.operation/status
azure-AsyncOperation: http://azure.async.operation/status
azure-AsyncOperation: http://azure.async.operation/status

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.